org.tmatesoft.svn.core.wc2

## Class SvnObject

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnObject

- Direct Known Subclasses:
    SvnCopySource, SvnDiffStatus, SvnInfo, SvnInheritedProperties, SvnRevisionRange, SvnStatus, SvnStatusSummary

      public abstract class SvnObject
      extends java.lang.Object

  Base class for all Svn* classes representing some kind of information.
  Version:
    1.7
  Author:
    TMate Software Ltd.
  See Also:
    `SvnCopySource`, `SvnDiffStatus`, `SvnInfo`, `SvnStatus`, `SvnStatusSummary`, `SvnRevisionRange`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnObject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getUserData()` Returns user data.
    `void` | `setUserData(java.lang.Object userData)` Sets user data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnObject

          public SvnObject()

  - ### Method Detail

    - #### getUserData

          public java.lang.Object getUserData()

      Returns user data.
      Returns:
        user data

    - #### setUserData

          public void setUserData(java.lang.Object userData)

      Sets user data.
      Parameters:
        `userData` - user data